﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using SyncfusionMvcApplication121;
using Syncfusion.JavaScript.DataSources;
using Syncfusion.JavaScript;
using Syncfusion.Linq;
using System.Collections;
namespace SyncfusionMvcApplication121.Controllers
{
    public class GridController : Controller
    {
        //
        // GET: /Grid/
        public ActionResult GridFeatures()
        {
            var DataSource = new NorthwindDataContext().OrdersViews.ToList();
            ViewBag.datasource = DataSource;
            return View();
        }
        public ActionResult DataSource(DataManager dm)
        {
            IEnumerable DataSource = new NorthwindDataContext().OrdersViews.ToList();
            DataResult result = new DataResult();
            DataOperations operation = new DataOperations();
            result.result = DataSource;
            if (dm.Sorted != null && dm.Sorted.Count > 0) //Sorting
            {
                result.result = operation.PerformSorting(result.result, dm.Sorted);
            }

            result.count = result.result.AsQueryable().Count();
            if (dm.Skip > 0)
                result.result = operation.PerformSkip(result.result, dm.Skip);
            if (dm.Take > 0)
                result.result = operation.PerformTake(result.result, dm.Take);
            return Json(new { result = result.result, count = result.count });
        }
        public class DataResult
        {
            public IEnumerable result { get; set; }
            public int count { get; set; }
           
        }
    }
}
